# WebhookEventComChannel

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | 
**ContactId** | **string** |  | 
**Name** | **string** |  | 
**Type** | **string** |  | 

## Methods

### NewWebhookEventComChannel

`func NewWebhookEventComChannel(id string, contactId string, name string, type_ string, ) *WebhookEventComChannel`

NewWebhookEventComChannel instantiates a new WebhookEventComChannel object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewWebhookEventComChannelWithDefaults

`func NewWebhookEventComChannelWithDefaults() *WebhookEventComChannel`

NewWebhookEventComChannelWithDefaults instantiates a new WebhookEventComChannel object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set

### GetId

`func (o *WebhookEventComChannel) GetId() string`

GetId returns the Id field if non-nil, zero value otherwise.

### GetIdOk

`func (o *WebhookEventComChannel) GetIdOk() (*string, bool)`

GetIdOk returns a tuple with the Id field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetId

`func (o *WebhookEventComChannel) SetId(v string)`

SetId sets Id field to given value.


### GetContactId

`func (o *WebhookEventComChannel) GetContactId() string`

GetContactId returns the ContactId field if non-nil, zero value otherwise.

### GetContactIdOk

`func (o *WebhookEventComChannel) GetContactIdOk() (*string, bool)`

GetContactIdOk returns a tuple with the ContactId field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetContactId

`func (o *WebhookEventComChannel) SetContactId(v string)`

SetContactId sets ContactId field to given value.


### GetName

`func (o *WebhookEventComChannel) GetName() string`

GetName returns the Name field if non-nil, zero value otherwise.

### GetNameOk

`func (o *WebhookEventComChannel) GetNameOk() (*string, bool)`

GetNameOk returns a tuple with the Name field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetName

`func (o *WebhookEventComChannel) SetName(v string)`

SetName sets Name field to given value.


### GetType

`func (o *WebhookEventComChannel) GetType() string`

GetType returns the Type field if non-nil, zero value otherwise.

### GetTypeOk

`func (o *WebhookEventComChannel) GetTypeOk() (*string, bool)`

GetTypeOk returns a tuple with the Type field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetType

`func (o *WebhookEventComChannel) SetType(v string)`

SetType sets Type field to given value.



[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


